declare namespace _default {
    export { install };
}
export default _default;
/**
 * Install the Vue3Mq plugin on the Vue app instance
 *
 * @param {object} app - The Vue3 app instance
 * @param {object} config - Plugin installation configuration object
 * @param {string} config.preset - A string representing an exported preset from ./presets.js
 * @param {object} config.breakpoints - User defined breakpoints comprising a named key with a minimum width value
 * @param {string} config.defaultBreakpoint - The screen size to set when the plugin is executed in a non-browser context (e.g. SSR)
 * @param {string} config.defaultOrientation - The screen orientation to set when the plugin is executed in a non-browser context (e.g. SSR)
 * @param {string} config.defaultMotion - The motion preference to set when the plugin is executed in a non-browser context (e.g. SSR)
 * @param {string} config.defaultTheme - The theme to set when the plugin is executed in a non-browser context (e.g. SSR) or for users with no OS preference
 * @param {boolean} config.global - Install the MQ Object and component globally in the Vue application
 */
declare function install(app: object, { preset, breakpoints, defaultBreakpoint, defaultOrientation, defaultMotion, defaultTheme, global, }?: {
    preset: string;
    breakpoints: object;
    defaultBreakpoint: string;
    defaultOrientation: string;
    defaultMotion: string;
    defaultTheme: string;
    global: boolean;
}): void;
//# sourceMappingURL=plugin.d.ts.map